<script setup lang="ts">
interface BaseRadioProps {
  label: string
  name: string
  id: string
  checked?: boolean
}

const {
  name, id, checked,
} = defineProps<BaseRadioProps>()
</script>

<template>
  <div class="flex gap-2">
    <input :id="id" :name="name" type="radio" class="margin-none" :checked="checked">
    <span>
      {{ label }}
    </span>
  </div>
</template>

<style>
.margin-none {
    margin: 0 !important;
}
</style>

